[ Maverik Level 3 functions ]

#

mav_callbackExec

## Summary

Execute an object callback function.

## Syntax

int mav_callbackExec(MAV_callback *cb, MAV_window *w, MAV_object *o, void *d1, void *d2);

- MAV_callback *cb
  The callback function to be executed.

- MAV_window *w
  Window.

- MAV_object *o
  Object.

- void *d1
  Callback data 1.

- void *d2
  Callback data 2.

## Description

This function executes the function set for callback `cb` in window `w` on object `o`, passing to it `d1` and `d2`. `d1` and `2` are callback specific data structures cast to the be void pointers.

The return value of this function is the return value of the callback function or MAV_FALSE if no callback function has been set. Interpretion of this value is specific to each callback, but usually indicates the sucess or failure of the operation.

Higher level wrapper function are provided, such as mav_callbackDrawExec, which allows for easier use and tigher prototyping.

Back to the index page.